"normalize.vsn.add" <-
function(abo,vsn.scale){
 #############################################
     res = vsn.newpars(	y       =  exprs(abo)[vsn.scale$TrimSelection],
			mu      =  vsn.scale$mu,
			c       =  vsn.scale$c,
     			pstart  =  vsn.scale$meanpars)
     #if(res$conv == 52) stop("\n\n optimization failed. sorrt. \n\n")
     if(res$conv == 52) {
	stop("\n\n convergence probs \n\n")
	exprs(abo) = as.matrix(rep(NA,length(exprs(abo)))) 
	return(abo)
     }
     newpars            =  res$par
     hy                 =  asinh(exprs(abo)*newpars[2] + newpars[1]) -  log(2*vsn.scale$firstfac)
     abo.norm           =  abo     
     exprs(abo.norm)    =  exp(hy)
     description(abo.norm)@preprocessing = list(vsnParams=newpars)
     return(abo.norm)
 }

